/*const MESSAGE = "Hello World!"

const rl = require('readline');
const fs = require('fs');

const io = rl.createInterface({
  input: fs.createReadStream('package.json'),
  crlfDelay: Infinity
});

io.on('line', (line) => {
  //พฤติกรรมของฟังก์ชัน
  console.log('ผู้ใช้กรอกข้อมูลแล้ว:' + line);
});

io.on('close',() => {
  console.log('ไม่มี บรรทัดหลือให้อ่านแล้ว ');
});
*/

const readline = require('readline');

const rl = readline.createInterface({
  input: process.stdin,
  output: process.stdout
});

rl.question('โปรดใส่ชื่อของคุณ :', (answer) => {
  // TODO: ใส่ชื่อของคุณ
  console.log(`สวัสดีคุณ : ${answer}`);

  rl.close();
});
